Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libapr-util1-0-1.6.3-1.5 RPM for aarch64

From OpenSuSE Ports Tumbleweed for aarch64

Name: libapr-util1-0 Distribution: openSUSE Tumbleweed
Version: 1.6.3 Vendor: openSUSE
Release: 1.5 Build date: Mon Feb 12 15:18:40 2024
Group: System/Libraries Build host: i03-armsrv2
Size: 428257 Source RPM: apr-util-1.6.3-1.5.src.rpm
Packager: http://bugs.opensuse.org
Url: https://apr.apache.org/
Summary: Apache Portable Runtime (APR) Utility Library
A companion library to APR, the Apache Portable Runtime.

Provides

Requires

License

Apache-2.0

Changelog

* Thu Feb 02 2023 Andreas Stieger <andreas.stieger@gmx.de>
  - update to 1.6.3
    * CVE-2022-25147: Integer Overflow or Wraparound vulnerability in
      apr_base64 function allows an attacker to write beyond bounds
      of a buffer (boo#1207866)
    * build system updates
  - drop patches now included upstream:
    * apr-util-apr_dbm_gdbm-fix-handling-of-error-codes.patch
    * apr-util-mariadb-10.2.patch
* Tue Dec 21 2021 Andreas Stieger <andreas.stieger@gmx.de>
  - add upstream signing key (taken from apr package) and validate
    source signature
  - run spec-cleaner and mark license files as %license
* Tue Oct 19 2021 pgajdos@suse.com
  - fix shlib-policy-name-error [bsc#1191748]
* Tue Sep 01 2020 pgajdos@suse.com
  - drop dependency on Berkeley DB [jsc#SLE-12211], gdbm DBM connector
    is now built instead and sdbm works as well
    * added patches
    https://svn.apache.org/viewvc?view=revision&revision=1825312
    + apr-util-apr_dbm_gdbm-fix-handling-of-error-codes.patch
* Wed Dec 18 2019 pgajdos@suse.com
  - fix linking with libpq
  - modified patches
    % apr-util-postgresql.patch
* Tue Mar 05 2019 Reinhard Max <max@suse.com>
  - apr-util-postgresql.patch: PostrgeSQL's pg_config is meant for
    linking server extensions, use libpq's pkg-config, if pg_config
    is missing. This fixes build with PostgreSQL 11.
* Mon Sep 24 2018 Vítězslav Čížek <vcizek@suse.com>
  - Add missing zlib-devel build dependency which used to be pulled in
    by libopenssl-devel
* Tue Jun 12 2018 pgajdos@suse.com
  - extend apr-util-mariadb-10.2.patch: Fix detection / build with
    MariaDB 10.2. [bsc#1094754]
* Wed Nov 22 2017 dimstar@opensuse.org
  - Add apr-util-mariadb-10.2.patch: Fix detection / build with
    MariaDB 10.2.
* Tue Nov 07 2017 kstreitova@suse.com
  - APR-util 1.6.1
    * apr_crypto: Fix compatibility with LibreSSL. PR 61596.
    * sdbm: better database/page validation to fail cleanly when
      corrupted [bsc#1064990], CVE-2017-12618

Files

/usr/lib64/apr-util-1
/usr/lib64/apr-util-1/apr_crypto_openssl-1.so
/usr/lib64/apr-util-1/apr_crypto_openssl.so
/usr/lib64/apr-util-1/apr_dbm_gdbm-1.so
/usr/lib64/apr-util-1/apr_dbm_gdbm.so
/usr/lib64/apr-util-1/apr_ldap-1.so
/usr/lib64/apr-util-1/apr_ldap.so
/usr/lib64/libaprutil-1.so.0
/usr/lib64/libaprutil-1.so.0.6.3
/usr/share/doc/packages/libapr-util1-0
/usr/share/doc/packages/libapr-util1-0/CHANGES
/usr/share/doc/packages/libapr-util1-0/NOTICE
/usr/share/licenses/libapr-util1-0
/usr/share/licenses/libapr-util1-0/LICENSE


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Apr 19 00:08:30 2024